switching
============

Documentation for the Cumulus Linux Switching Chip Interface.


Preparing Your Environment
=========================

Assuming a recent OSX host, the follwing tasks are required:

* Install [brew](http://mxcl.github.io/homebrew/) - a packager manager for common packages pre-patched for OSX

* Install [XCode](https://developer.apple.com/xcode/) - gcc, make, X11 and other tools pre-compiled for OSX from Apple, also install the "command line tools" package

* Install [Sphinx](http://sphinx-doc.org/) - the python documentation framework, easy_install -U Sphinx

* Patch /Library/Python/2.7/site-packages/rst2pdf*/rst2pdf/findfonts.py: 
  Patch /Library/Python/2.7/site-packages/rst2pdf-0.93.dev-py2.7.egg/rst2pdf/findfonts.py
  matching "fc-match" to "/opt/X11/bin/fc-match"
  
* In some instances, you may have to install `Python Image Library 
  <http://www.pythonware.com/products/pil/>`_, `rst2pdf 
  <http://code.google.com/p/rst2pdf/>`_ and `reportlab-2.7 
  <http://www.reportlab.com>`_.
  
Creating PDFs vs HTML
=====================

The contents of index.rst vary depending upon whether you are going to make a
PDF or a set of HTML documents. 

To make HTML documents, copy the contents of index.rst_html to index.rst, then
run `make html.` The files output to _build/html.

To make a PDF file, copy the contents of index.rst_pdf to index.rst, then
run `make pdf.` The PDF outputs to _build/pdf.


